#### Beyond Linux® From Scratch (System V Edition) - Version r12.4-737

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libvdpau-1.5

- Next

  libvorbis-1.3.7

- Up
- Home

# libvdpau-va-gl-0.4.2

## Introduction to libvdpau-va-gl

The libvdpau-va-gl package contains a library which implements the VDPAU library. Libvdpau_va_gl uses OpenGL under the hood to accelerate drawing and scaling and the VA-API (if available) to accelerate video decoding. For now VA-API is available on some Intel chips, and on some AMD video adapters with the help of the libvdpau driver.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/i-rinat/libvdpau-va-gl/archive/v0.4.2/libvdpau-va-gl-0.4.2.tar.gz

- Download MD5 sum: 8db21dcfd5cd14c6ec51b992e20369dc

- Download size: 120 KB

- Estimated disk space required: 4.9 MB

- Estimated build time: less than 0.1 SBU (add 1.1 SBU for tests)

### libvdpau-va-gl Dependencies

#### Required

CMake-4.2.0, libvdpau-1.5, libva-2.22.0, and Mesa-25.2.2

#### Optional

Doxygen-1.15.0, Graphviz-14.0.5, and texlive-20250308 or install-tl-unx

## Installation of libvdpau-va-gl

Install libvdpau-va-gl by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$XORG_PREFIX \
          -D CMAKE_POLICY_VERSION_MINIMUM=3.5  \
          -D CMAKE_BUILD_TYPE=Release          \
          -W no-dev ..                         &&
    make

To test the results, issue: make check. The tests must be run from an Xorg environment.

Now, as the `root` user:

    make install

## Configuration

To allow libvdpau to find libvdpau-va-gl, set an environment variable. As the `root` user:

    echo "export VDPAU_DRIVER=va_gl" >> /etc/profile.d/xorg.sh

## Contents

Installed Programs: None
Installed Library: libvdpau_va_gl.so
Installed Directories: None

## Short Descriptions

`libvdpau_va_gl.so` | contains functions to implement the OpenGL backend to the VDPAU (Video Decode and Presentation API for Unix) API

- Prev

  libvdpau-1.5

- Next

  libvorbis-1.3.7

- Up
- Home